# SubBuildListener

Extends \BuildListener

Instances of classes that implement this interface can register to be also notified when things happened during a subbuild.

A subbuild is a separate project instance created by the `<phing>` task family. These project instances will never fire the buildStarted and buildFinished events, but they will fire subBuildStarted/ and subBuildFinished. The main project instance - the one created by running Phing in the first place - will never invoke one of the methods of this interface.

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing

### Methods

## Fired after the last target has finished.

    buildFinished(\BuildEvent $event)

inherited

see | \BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired before any targets are started.

    buildStarted(\BuildEvent $event)

inherited

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired whenever a message is logged.

    messageLogged(\BuildEvent $event)

inherited

see | \BuildEvent::getMessage()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Signals that the last target has finished. This event will still be fired if an error occurred during the build.

    subBuildFinished(\BuildEvent $event)

see | \BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

An event with any relevant extra information. Must not be `null`.

## Signals that a subbuild has started. This event is fired before any targets have started.

    subBuildStarted(\BuildEvent $event)

### Arguments

#### $event

`\BuildEvent`

An event with any relevant extra information. Must not be `null`.

## Fired when a target has finished.

    targetFinished(\BuildEvent $event)

inherited

see | \\BuildEvent#getException()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a target is started.

    targetStarted(\BuildEvent $event)

inherited

see | \BuildEvent::getTarget()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a task has finished.

    taskFinished(\BuildEvent $event)

inherited

see | \BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a task is started.

    taskStarted(\BuildEvent $event)

inherited

see | \BuildEvent::getTask()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent